DNS Cache

About the Domain Name Caching Plug-In

The Internet works by assigning a series of numbers to each computer connected to it. This is called the computer's IP address. An example of an IP address is: 64.176.127.178. You can simply type in this series of numbers into your browser's location field (near the top of your browser's window) and press your keyboard's Enter key and your browser will go to that computer's web pages.

Although these numerical IP addresses are easy for a computer to use, they are difficult for us humans to remember. So an address system was invented that uses words or letters called the DNS (Domain Name System). A DNS name is what you are probably more familiar with than IP numbers. An example of a DNS name is: www.agnitum.com.

DNS names are much easier for us to remember, but our browsers still need to use the IP address to find and transfer files on the Internet. Therefore, there are databases throughout the Internet that keep track of what IP address goes with what DNS name. To find the IP address that corresponds to a DNS name, sometimes your browser has to consult several different databases located at different places on the Internet and this often takes time.

To speed things up, Outpost Firewall provides a personalized look-up table of DNS addresses on your own computer. This is called a domain name cache and you can customize it however you like.

Outpost Firewall maintains the DNS Cache automatically within your specifications to include those addresses that are most recently used by you. The amount of time that a DNS address is saved in the DNS Cache depends on the time you specify as one of the settings for this Plug-In. It also depends on how many DNS names you want Outpost Firewall to keep track of. Only the most recently used names are kept, up to the maximum number of entries you specify.

The following topics describe how to use Outpost Firewall to control Plug-Ins:

Viewing the Domain Name Caching log

Enabling the Domain Name Caching

Setting the limit of the DNS database

Setting the expiry date for DNS records

Viewing the DNS database

Removing a site from the DNS database


Viewing the DNS Cache Log

Viewing the Domain Name Caching Log

To view Domain Name Caching log:

  1. Right-click on the Outpost Firewall icon in the system tray to get the context menu.

  2. Select Show Outpost Firewall.

  3. Highlight Domain Name Caching in the Plug-Ins tree.

  4. Now you will be able to view the Domain Name Caching Plug-In stats.

  5. Press the Show Detailed Log button on the plug-in Information Panel.

  6. Outpost Log Viewer will be run displaying the log for the Domain Name Caching plug-in log.

For more information about the Outpost log system, please read The Outpost Log System chapter.

Related Topics

About the Domain Name Caching

Viewing the Domain Name Caching log

Enabling the Domain Name Caching

Viewing the DNS database


Enabling the DNS Cache

Enabling the Domain Name Caching

To enable the DNS cache:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Domain Name Caching

  4. Click Settings

  5. Check Enable DNS Cache

  6. Press OK.

Note

You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About the Domain Name Caching

Viewing the Domain Name Caching log

Enabling the Domain Name Caching

Viewing the DNS database


Setting the Limit of the DNS Database

To set the limit of the DNS cache database:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Domain Name Caching

  4. Click Settings

  5. Check Limit DNS Cache database to and enter the amount of records this Plug-In should store

  6. Press OK.

Notes

  • We strongly recommend that you do not increase the limits of the DNS database by unchecking any its checkboxes.

  • You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About the Domain Name Caching

Setting the limit of the DNS database

Setting the expiry date for DNS records

Viewing the DNS database


Setting the Expiry Date for DNS Records

To set the address stored in the DNS cache database expiry limit:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Domain Name Caching

  4. Click Settings

  5. Check DNS record expire in and enter the amount of days after which the address will be deleted from the database. Please note that these days are counted from the last day you used this record.

  6. Press OK.

Notes

  • We strongly recommend that you do not increase the expiry period or limit the database by unchecking these checkboxes.

  • You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About the Domain Name Caching

Setting the limit of the DNS database

Setting the expiry date for DNS records

Viewing the DNS database


Viewing the DNS Database

To view the DNS cache database:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Domain Name Caching

  4. Click Settings.

Now you will be able to view all the DNS addresses stored in this database and the Total DNS Record amount.

Note

You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About the Domain Name Caching

Viewing the Domain Name Caching log

Setting the limit of the DNS database

Viewing the DNS database


Removing a Site from the DNS Database

To remove an address from the DNS Cache database:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Domain Name Caching

  4. Click Settings

  5. Highlight the address you want to remove

  6. Click Remove

  7. Click OK.

Note

You can quickly access the plug-in's properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About the Domain Name Caching

Viewing the Domain Name Caching log

Setting the limit of the DNS database

Setting the expiry date for DNS records

Viewing the DNS database


.topic 0x808b0001
Applies and saves any changes you have made, and then closes this dialog box.

.topic 0x808b0002
The Cancel button closes this dialog box without saving any changes you have made. The Close button closes this dialog box and retains the changes you made.

.IDD_PAGE_DNS (7) *********************************************************************************

.topic 0x806c0434
An input field to enter the number of days before a DNS record expires.

.topic 0x806c03eb
A checkmark enables DNS caching.

.topic 0x806c0430
A checkmark enables an expiry period for the DNS records.

.topic 0x806c03ea
A checkmark enables a size limitation for the DNS database.

.topic 0x806c03e8
The database of DNS records.

.topic 0x806c042b
An input field to enter the size limit of the DNS database.

.topic 0x806c03f5
Removes a highlighted DNS record from the database.